Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Class PiePlot3D

    java.lang.Object
      org.jfree.chart.plot.Plot
          org.jfree.chart.plot.PiePlot
              org.jfree.chart.plot.PiePlot3D

All Implemented Interfaces:
  AxisChangeListener, java.lang.Cloneable, DatasetChangeListener, java.util.EventListener, java.io.Serializable

public class PiePlot3D
extends PiePlot
implements java.io.Serializable

A plot that displays data in the form of a 3D pie chart, using data from any class that implements the `PieDataset` interface.

Although this class extends `PiePlot`, it does not currently support exploded sections.

Author:
  Tomer Peretz
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.plot.PiePlot
`DEFAULT_INTERIOR_GAP, DEFAULT_LABEL_BACKGROUND_PAINT, DEFAULT_LABEL_FONT, DEFAULT_LABEL_OUTLINE_PAINT, DEFAULT_LABEL_OUTLINE_STROKE, DEFAULT_LABEL_PAINT, DEFAULT_LABEL_SHADOW_PAINT, DEFAULT_MINIMUM_ARC_ANGLE_TO_DRAW, DEFAULT_START_ANGLE, localizationResources, MAX_INTERIOR_GAP`

Fields inherited from class org.jfree.chart.plot.Plot
`DEFAULT_BACKGROUND_ALPHA, DEFAULT_BACKGROUND_PAINT, DEFAULT_FOREGROUND_ALPHA, DEFAULT_INSETS, DEFAULT_OUTLINE_PAINT, DEFAULT_OUTLINE_STROKE, MINIMUM_HEIGHT_TO_DRAW, MINIMUM_WIDTH_TO_DRAW, ZERO`

Constructor Summary
`PiePlot3D(PieDataset dataset)` Creates a pie chart with a three dimensional effect using the specified dataset.

Method Summary
`void` | `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D plotArea, PlotState parentState, PlotRenderingInfo info)` Draws the plot on a Java 2D graphics device (such as the screen or a printer).
`protected void` | `drawSide(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D plotArea, java.awt.geom.Arc2D arc, java.awt.geom.Area front, java.awt.geom.Area back, java.awt.Paint paint, java.awt.Paint outlinePaint, java.awt.Stroke outlineStroke, boolean drawFront, boolean drawBack)` Draws the side of a pie section.
`double` | `getDepthFactor()` The depth factor for the chart.
`java.lang.String` | `getPlotType()` Returns a short string describing the type of plot.
`void` | `setDepthFactor(double factor)` Sets the pie depth as a percentage of the height of the plot area.

Methods inherited from class org.jfree.chart.plot.PiePlot
`clone, drawItem, drawLabels, drawLeftLabel, drawLeftLabels, drawPie, drawRightLabel, drawRightLabels, equals, getArcBounds, getBaseSectionOutlinePaint, getBaseSectionOutlineStroke, getBaseSectionPaint, getDataset, getDirection, getExplodePercent, getIgnoreNullValues, getInteriorGap, getLabelBackgroundPaint, getLabelFont, getLabelGap, getLabelGenerator, getLabelLinkMargin, getLabelLinkPaint, getLabelLinkStroke, getLabelOutlinePaint, getLabelOutlineStroke, getLabelPaint, getLabelShadowPaint, getLegendItems, getMaximumExplodePercent, getMaximumLabelWidth, getMinimumArcAngleToDraw, getPieIndex, getSectionOutlinePaint, getSectionOutlinePaint, getSectionOutlineStroke, getSectionOutlineStroke, getSectionPaint, getSectionPaint, getShadowPaint, getShadowXOffset, getShadowYOffset, getStartAngle, getToolTipGenerator, getURLGenerator, initialise, isCircular, setBaseSectionOutlinePaint, setBaseSectionOutlineStroke, setBaseSectionPaint, setCircular, setCircular, setDataset, setDirection, setExplodePercent, setIgnoreNullValues, setInteriorGap, setLabelBackgroundPaint, setLabelFont, setLabelGap, setLabelGenerator, setLabelLinkMargin, setLabelLinkPaint, setLabelLinkStroke, setLabelOutlinePaint, setLabelOutlineStroke, setLabelPaint, setLabelShadowPaint, setMaximumLabelWidth, setMinimumArcAngleToDraw, setPieIndex, setSectionOutlinePaint, setSectionOutlinePaint, setSectionOutlineStroke, setSectionOutlineStroke, setSectionPaint, setSectionPaint, setShadowPaint, setShadowXOffset, setShadowYOffset, setStartAngle, setToolTipGenerator, setURLGenerator, zoom`

Methods inherited from class org.jfree.chart.plot.Plot
`addChangeListener, axisChanged, datasetChanged, draw, drawBackground, drawBackgroundImage, drawNoDataMessage, drawOutline, fillBackground, getBackgroundAlpha, getBackgroundImage, getBackgroundImageAlignment, getBackgroundPaint, getDataAreaRatio, getDatasetGroup, getDrawingSupplier, getForegroundAlpha, getInsets, getNoDataMessage, getNoDataMessageFont, getNoDataMessagePaint, getOutlinePaint, getOutlineStroke, getParent, getRectX, getRectY, getRootPlot, handleClick, isSubplot, notifyListeners, removeChangeListener, resolveDomainAxisLocation, resolveRangeAxisLocation, setBackgroundAlpha, setBackgroundImage, setBackgroundImageAlignment, setBackgroundPaint, setDataAreaRatio, setDatasetGroup, setDrawingSupplier, setForegroundAlpha, setInsets, setInsets, setNoDataMessage, setNoDataMessageFont, setNoDataMessagePaint, setOutlinePaint, setOutlineStroke, setParent`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PiePlot3D

    public PiePlot3D(PieDataset dataset)

  Creates a pie chart with a three dimensional effect using the specified dataset.

Parameters:
  `dataset` - the dataset (`null` permitted).

Method Detail

### setDepthFactor

    public void setDepthFactor(double factor)

  Sets the pie depth as a percentage of the height of the plot area.

  Parameters:
    `factor` - the depth factor (for example, 0.20 is twenty percent).

### getDepthFactor

    public double getDepthFactor()

  The depth factor for the chart.

  Returns:
    The depth factor.

### draw

    public void draw(java.awt.Graphics2D g2,
                     java.awt.geom.Rectangle2D plotArea,
                     PlotState parentState,
                     PlotRenderingInfo info)

  Draws the plot on a Java 2D graphics device (such as the screen or a printer). This method is called by the `JFreeChart` class, you don't normally need to call it yourself.

  Overrides:
    `draw` in class `PiePlot`
  Parameters:
    `g2` - the graphics device.
    `plotArea` - the area within which the plot should be drawn.
    `parentState` - the state from the parent plot, if there is one.
    `info` - collects info about the drawing (`null` permitted).

### drawSide

    protected void drawSide(java.awt.Graphics2D g2,
                            java.awt.geom.Rectangle2D plotArea,
                            java.awt.geom.Arc2D arc,
                            java.awt.geom.Area front,
                            java.awt.geom.Area back,
                            java.awt.Paint paint,
                            java.awt.Paint outlinePaint,
                            java.awt.Stroke outlineStroke,
                            boolean drawFront,
                            boolean drawBack)

  Draws the side of a pie section.

  Parameters:
    `g2` - the graphics device.
    `plotArea` - the plot area.
    `arc` - the arc.
    `front` - the front of the pie.
    `back` - the back of the pie.
    `paint` - the color.
    `outlinePaint` - the outline paint.
    `outlineStroke` - the outline stroke.
    `drawFront` - draw the front?
    `drawBack` - draw the back?

### getPlotType

    public java.lang.String getPlotType()

  Returns a short string describing the type of plot.

  Overrides:
    `getPlotType` in class `PiePlot`
  Returns:
    Pie 3D Plot.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD